Bug#570960: grub-pc: grub2 not working on lenny and squeeze after fresh install

Vladimir 'φ-coder/phcoder' Serbinenko phcoder at gmail.com
Sat Jan 14 12:49:50 UTC 2012

tag 570960 fixed-upstream
Since no answer to this, I assume, I was right.
On 03.04.2011 01:14, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
> On 22.02.2010 14:47, Alexander Joelly wrote:
>> after installing lenny or squeeze machines cannot boot, grub2 stops at "Welcome to GRUB2!" message, do a permanent reboot loop or hang when showing the boot menu;
>> booting from the netinst into rescue mode and tried something but nothing other then deinstalling grub2 and installing grub-legacy helps;
>> with grub-legacy all machines boot is fine, our systems are inteservers with sh3210-series mainboards and areca or 3ware hardware raid-controllers;
>> since the option to install grub-legacy on debian lenny is no longer availiable, installing debian 'stable' is no longer possible;
>> i recommend to bring back the option into the debian-installer that grub-legacy can be installed instead grub2 or completely remove grub2 from lenny because it seems not to be 'stable';
> This sounds a lot like the MBR gap corruption we found with HighPoint
> controller. Could you test the latest upstream?

Vladimir 'φ-coder/phcoder' Serbinenko

More information about the Pkg-grub-devel mailing list